/**
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <iostream>

#include "FDK_bitstream.h"
#include "aacdec_hcr_types.h"
#include "aacdec_hcrs.h"

int main() {

  FDK_BITSTREAM *bs = (FDK_BITSTREAM *)malloc(sizeof(FDK_BITSTREAM));
  if (!bs) {
    return EXIT_FAILURE;
  }

  CErHcrInfo *pHcr = (CErHcrInfo *)malloc(sizeof(CErHcrInfo));
  if (!pHcr) {
    free(bs);
    return EXIT_FAILURE;
  }

  memset(bs, 0x00, sizeof(FDK_BITSTREAM));
  memset(pHcr, 0x00, sizeof(CErHcrInfo));

  DecodeNonPCWs(bs, pHcr);

  free(bs);
  free(pHcr);

  return EXIT_SUCCESS;
}
